package com.qmth.distributed.print.business.enums;

import com.qmth.teachcloud.common.enums.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 专业认证毕业要求
 */
public enum ProfessionalCertificationEnum {
    GCZS("工程知识"),
    WTFX("问题分析"),
    SJKFJJFA("设计/开发解决方案"),
    YJ("研究"),
    SYGJ("使用工具"),
    GCYSH("工程与社会"),
    HJHKCXFZ("环境和可持续发展"),
    ZYGF("职业规范"),
    GRYTD("个人与团队"),
    GT("沟通"),
    XMGL("项目管理"),
    ZSXX("终身学习");

    ProfessionalCertificationEnum(String name) {
        this.name = name;
    }

    private String name;

    public String getName() {
        return name;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ProfessionalCertificationEnum value : ProfessionalCertificationEnum.values()) {
            EnumResult result = new EnumResult();
            result.setCode(value.name());
            result.setName(value.getName());
            result.setOrdinal(value.ordinal());
            list.add(result);
        }
        return list;
    }

}
